#!/bin/sh

rtc-template -bcxx \
    --module-name=ObstacleAvoidance --module-type='DataFlowComponent' \
    --module-desc='compornent' \
    --module-version=1.0 --module-vendor='MyName' \
    --module-category=example \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10 \
    --outport=out_vel:TimedVelocity \
    --inport=in_vel:TimedVelocity \
    --inport=obstacles:TimedObstacles \
    --consumer-idl=Obstacle.idl \
    --consumer-idl=Rmp.idl \
    --config="body_radius:double:0.5" \
    --config="distWeight:double:0.3" \
    --config="angleWeight:double:0.3" \
    --config="lengthWeight:double:0.3" \
    --config="interval_length:double:0.3" \


